Package Details: libreoffice-slim-git latest-3

Git Clone URL: https://aur.archlinux.org/libreoffice-slim-git.git (read-only, click to copy)
Package Base: libreoffice-slim-git
Description: A slimmed down Git version of LibreOffice
Upstream URL: https://www.libreoffice.org/community/developers/
Keywords: office
Licenses: GPL
Submitter: sxw
Maintainer: sxw
Last Packager: sxw
Votes: 1
Popularity: 0.000000
First Submitted: 2017-02-26 09:22
Last Updated: 2020-04-16 17:18

Dependencies (5)

Required by (0)

Sources (0)

Latest Comments

sxw commented on 2020-04-16 17:20

makedepends upated

sxw commented on 2020-04-16 17:15

@steinbuch yeah, that's another thing I've to look into. The /opt/lo/program/bootstraprc entry UserInstallation causes this. I changed it to UserInstallation=$SYSUSERCONFIG/LibreOffice/7.0 and it works here.

Can you confirm?

But I did not see anything in the original PKGBUILD.

steinbuch commented on 2020-04-15 21:05

There is progress: Now I've built and installed LibO:

"LibreOffice 7.0 - Fatal Error: The application cannot be started. User installation could not be completed."

steinbuch commented on 2020-04-08 14:28

The python error has vanished, and my build completed successfully. But there is still an issue with installation: https://pastebin.com/XGE2LrqY

For building in a chroot please add ('gperf' 'yasm' 'zip' 'unzip') to makedepends.

sxw commented on 2020-04-03 20:57

I am sorry, but I cannot reproduce. The build just completed fine. I particularly set the with-python option to "fully-internal" so that you could also build without python installed.

When does it fail? That it tries to find a "python.bin" seems also strange to me. Do you have a log file you could post to a paste bin?

steinbuch commented on 2020-04-01 11:50

Currently the build fails:

/bin/sh: /data/libreoffice-slim-git/src/core/instdir/program/python.bin: File not found

I've tried to hotlink python.bin to my system's /usr/bin/python, but this fails since LibreOffice uses Python 3.7.7 and ArchLinux 3.8

sxw commented on 2019-12-22 21:16

@steinbuch OK, added the disable gstreamer option.

steinbuch commented on 2019-12-11 18:24

I would like to build LibreOffice without GSTREAMER_1_0. Is this possible?